> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/dictionaryitem.md).

# DictionaryItem

Represents a Dictionary Item. A Dictionary Item is what you see in the Translation / Dictionary tree.

* **Namespace:** `Umbraco.Cms.Core.Models`
* **Assembly:** `Umbraco.Core.dll`

All samples in this document will require references to the following dll:

* Umbraco.Core.dll

All samples in this document will require the following using statement:

```csharp
using Umbraco.Cms.Core.Models;
```

## Constructors

### new DictionaryItem(string itemKey)

Constructor for creating a new `DictionaryItem` object where the necessary parameter is the key of the `DictionaryItem` as a `string`.

### new DictionaryItem(Guid? parentId, string itemKey)

Constructor for creating a new `DictionaryItem` object where the necessary parameters are the parentKey as `Guid` and the key of the `DictionaryItem` as a `string`. Use this one if you want to create a `DictionaryItem` underneath another one.

## Properties

### .ItemKey

Gets or sets the Key for the Dictionary Item.

```csharp
// Create a DictionaryItem and return the key
var dictionaryItem = new DictionaryItem("your_key");
return dictionaryItem.ItemKey;
```

### .ParentId

Gets or Sets a `Guid?` of the Dictionary Item ParentId.

```csharp
// Create a DictionaryItem and return the parentId
DictionaryItem dictionaryItem = new DictionaryItem("your_key");
Guid? parentId = dictionaryItem.ParentId;
return parentId;
```

### .Translations

Gets or sets a `IEnumerable<IDictionaryTranslation>` of translations for the Dictionary Item.

```csharp
// Create a DictionaryItem and return the translations
var dictionaryItem = new DictionaryItem("your_key");
return dictionaryItem.Translations;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/dictionaryitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
